<div class="col-12 container">
  <div class="card mb-3">
    <div class="card-body">
      <div class="row">
        <div class="col-sm-8 mb-4">
          <h5>{{ mensaje }}</h5>
          <h4 class="card-title col-12 text-primary">
            Acta de Analista para Reclamo Medios Magneticos
          </h4>
          <h6 class="card-subtitle col-12">
            Gerencia de Deteccion y Analisis de Riesgos
          </h6>
        </div>
        <div class="col-sm-4">
          <h6 for="fechaElaboracion" class="col-12 text-left">
            Fecha de elaboracion :
          </h6>
          <div class="col-12">
            <input
              id="fechaElaboracion"
              type="date"
              class="form-control"
              [(ngModel)]="acta.fechaElaboracion"
              name="fechaElaboracion"
            />
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="card mb-3">
    <table class="table table-bordered text-center">
      <thead class="bg-dark text-white">
        <tr>
          <td scope="col text-center text-white" colspan="2">
            Datos del reclamo
          </td>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td colspan="2">
            <table>
              <tr>
                <td>
                  <div class="container row">
                    <h6 for="nombre" class="col-12 text-left">Nombre :</h6>
                    <div class="col-12">
                      <input
                        id="nombre"
                        type="text"
                        class="form-control"
                        [(ngModel)]="acta.nombre"
                        name="nombre"
                      />
                    </div>
                  </div>
                </td>
                <td>
                  <div class="container row">
                    <h6 for="nombre" class="col-12 text-left">
                      CI/RIF/Pasaporte :
                    </h6>
                    <div class="col-12">
                      <input
                        id="CiRifPasaporte"
                        type="text"
                        class="form-control"
                        [(ngModel)]="acta.CiRifPasaporte"
                        name="CiRifPasaporte"
                      />
                    </div>
                  </div>
                </td>
                <td>
                  <div class="container row">
                    <h6 for="nombre" class="col-12 text-left">
                      Numero de cuenta :
                    </h6>
                    <div class="col-12">
                      <input
                        id="numero"
                        type="number"
                        class="form-control"
                        [(ngModel)]="acta.numero"
                        name="numero"
                      />
                    </div>
                  </div>
                </td>
              </tr>
              <tr>
                <td>
                  <div class="container row">
                    <h6 for="nombre" class="col-12 text-left">Numero de :</h6>
                    <div class="form-check form-check-inline col-md-3 col-sm-4">
                      <input
                        class="form-check-input"
                        type="radio"
                        id="inlineRadio1"
                        value="TCP"
                        [(ngModel)]="acta.numerode.tipo"
                        name="numerode.tipo"
                      />
                      <label class="form-check-label" for="inlineRadio1"
                        >TCP</label
                      >
                    </div>
                    <div class="form-check form-check-inline col-md-3 col-sm-4">
                      <input
                        class="form-check-input"
                        type="radio"
                        id="inlineRadio2"
                        value="TDD"
                        [(ngModel)]="acta.numerode.tipo"
                        name="numerode.tipo"
                      />
                      <label class="form-check-label" for="inlineRadio2"
                        >TDD</label
                      >
                    </div>
                    <div class="form-check form-check-inline col-md-3 col-sm-4">
                      <input
                        class="form-check-input"
                        type="radio"
                        id="inlineRadio3"
                        value="TDC"
                        [(ngModel)]="acta.numerode.tipo"
                        name="numerode.tipo"
                      />
                      <label class="form-check-label" for="inlineRadio3"
                        >TDC</label
                      >
                    </div>
                    <div class="col-12">
                      <input
                        id="nombre"
                        type="number"
                        class="form-control"
                        [(ngModel)]="acta.numerode.numero"
                        name="numerode.numero"
                      />
                    </div>
                  </div>
                </td>
                <td>
                  <div class="container row">
                    <h6 for="nombre" class="col-12 text-left">Sake :</h6>
                    <div class="col-12">
                      <input
                        id="nombre"
                        type="number"
                        class="form-control"
                        [(ngModel)]="acta.sake"
                        name="sake"
                      />
                    </div>
                  </div>
                </td>
                <td>
                  <div class="container row">
                    <h6 for="ultimaFechade" class="col-12 text-left">
                      Ultimo uso de :
                    </h6>
                    <div class="form-check form-check-inline col-md-3 col-sm-4">
                      <input
                        class="form-check-input"
                        type="radio"
                        id="ultimaFechade1"
                        value="TCP"
                        [(ngModel)]="acta.ultimaFechade.tipo"
                        name="ultimaFechade.tipo"
                      />
                      <label class="form-check-label" for="ultimaFechade1"
                        >TCP</label
                      >
                    </div>
                    <div class="form-check form-check-inline col-md-3 col-sm-4">
                      <input
                        class="form-check-input"
                        type="radio"
                        id="ultimaFechade2"
                        value="TDD"
                        [(ngModel)]="acta.ultimaFechade.tipo"
                        name="ultimaFechade.tipo"
                      />
                      <label class="form-check-label" for="ultimaFechade2"
                        >TDD</label
                      >
                    </div>
                    <div class="form-check form-check-inline col-md-3 col-sm-4">
                      <input
                        class="form-check-input"
                        type="radio"
                        id="ultimaFechade3"
                        value="TDC"
                        [(ngModel)]="acta.ultimaFechade.tipo"
                        name="ultimaFechade.tipo"
                      />
                      <label class="form-check-label" for="ultimaFechade3"
                        >TDC</label
                      >
                    </div>
                    <div class="col-12">
                      <input
                        id="ultimaFechade"
                        type="date"
                        class="form-control"
                        [(ngModel)]="acta.ultimaFechade.numero"
                        name="ultimaFechade.numero"
                      />
                    </div>
                  </div>
                </td>
              </tr>
              <tr>
                <td>
                  <div class="container row">
                    <h6 for="fechaInicio" class="col-12 text-left">
                      Fecha de Inicio :
                    </h6>
                    <div class="col-12">
                      <input
                        id="fechaInicio"
                        type="date"
                        class="form-control"
                        [(ngModel)]="acta.fechaInicio"
                        name="fechaInicio"
                      />
                    </div>
                  </div>
                </td>
                <td>
                  <div class="container row">
                    <h6 for="fechaFin" class="col-12 text-left">
                      Fecha de Fin :
                    </h6>
                    <div class="col-12">
                      <input
                        id="fechaFin"
                        type="date"
                        class="form-control"
                        [(ngModel)]="acta.fechaFin"
                        name="fechaFin"
                      />
                    </div>
                  </div>
                </td>
                <td>
                  <div class="container row">
                    <h6 for="FechaBloqueo" class="col-12 text-left">
                      Numero de :
                    </h6>
                    <div class="form-check form-check-inline col-md-3 col-sm-4">
                      <input
                        class="form-check-input"
                        type="radio"
                        id="FechaBloqueo1"
                        value="TCP"
                        [(ngModel)]="acta.FechaBloqueo.tipo"
                        name="FechaBloqueo.tipo"
                      />
                      <label class="form-check-label" for="FechaBloqueo1"
                        >TCP</label
                      >
                    </div>
                    <div class="form-check form-check-inline col-md-3 col-sm-4">
                      <input
                        class="form-check-input"
                        type="radio"
                        id="FechaBloqueo2"
                        value="TDD"
                        [(ngModel)]="acta.FechaBloqueo.tipo"
                        name="FechaBloqueo.tipo"
                      />
                      <label class="form-check-label" for="FechaBloqueo2"
                        >TDD</label
                      >
                    </div>
                    <div class="form-check form-check-inline col-md-3 col-sm-4">
                      <input
                        class="form-check-input"
                        type="radio"
                        id="FechaBloqueo3"
                        value="TDC"
                        [(ngModel)]="acta.FechaBloqueo.tipo"
                        name="FechaBloqueo.tipo"
                      />
                      <label class="form-check-label" for="FechaBloqueo3"
                        >TDC</label
                      >
                    </div>
                    <div class="col-12">
                      <input
                        id="FechaBloqueo"
                        type="date"
                        class="form-control"
                        [(ngModel)]="acta.FechaBloqueo.numero"
                        name="FechaBloqueo.numero"
                      />
                    </div>
                  </div>
                </td>
              </tr>
            </table>
          </td>
        </tr>
        <tr>
          <td>
            <div class="container row">
              <h6 for="totalMontoReclamado" class="col-12 text-left">
                Total monto reclamado :
              </h6>
              <div class="col-12">
                <input
                  id="totalMontoReclamado"
                  type="text"
                  class="form-control"
                  [(ngModel)]="acta.totalMontoReclamado"
                  name="totalMontoReclamado"
                />
              </div>
            </div>
          </td>
          <td>
            <div class="container row">
              <h6 for="TotalTXReclamado" class="col-12 text-left">
                Total numero TX Reclamada :
              </h6>
              <div class="col-12">
                <input
                  id="TotalTXReclamado"
                  type="number"
                  class="form-control"
                  [(ngModel)]="acta.TotalTXReclamado"
                  name="TotalTXReclamado"
                />
              </div>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>
  <div class="card mb-3">
    <table class="table table-bordered text-center">
      <thead class="bg-dark text-white">
        <tr>
          <td scope="col text-center text-white" colspan="7">
            DISTRIBUCION DE MONTOS RECLAMADOS
          </td>
        </tr>
      </thead>
      <tbody>
        <tr class="bg-secondary">
          <td><h6 class="text-white">Monto</h6></td>
          <td><h6 class="text-white">AMT</h6></td>
          <td><h6 class="text-white">POS</h6></td>
          <td><h6 class="text-white">Adelanto Taquilla</h6></td>
          <td><h6 class="text-white">####</h6></td>
          <td><h6 class="text-white">####</h6></td>
          <td><h6 class="text-white">####</h6></td>
        </tr>
        <tr>
          <td class="bg-secondary text-white">
            <h6 class="text-white">Montos Reclamados</h6>
          </td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
        </tr>
        <tr>
          <td class="bg-secondary text-white">
            <h6 class="text-white">Montos Recuperado</h6>
          </td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
        </tr>
        <tr>
          <td class="bg-secondary text-white">
            <h6 class="text-white">Montos Sujeto a Decision</h6>
          </td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
        </tr>
        <tr>
          <td class="bg-secondary text-white">
            <h6 class="text-white">Numero de TX</h6>
          </td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
          <td>0.00</td>
        </tr>
      </tbody>
    </table>
  </div>
  <form class="row" (ngSubmit)="imprimir()">
    <div class="col-8"></div>
    <div class="col-4">
      <button type="button" class="btn btn-primary mx-1">Imprimir</button>
      <button type="submit" class="btn btn-success mx-1">Enviar</button>
      <button type="button" class="btn btn-danger mx-1">Cerrar</button>
    </div>
  </form>
</div>
